package com.ssyf.gateway;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;


/**
 * 网关启动程序
 * @author huwei
 * @date 2022/07/03 15:03:00
 */
@Slf4j
@EnableDiscoveryClient
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class )
public class GatewayApplication {

    public static void main(String[] args) {
        log.info("【{}】网关启动中",GatewayApplication.class.getName());
        SpringApplication.run(GatewayApplication.class, args);
        log.info("【{}】网关启动成功...",GatewayApplication.class.getName());
    }
}
